<div id="services-section" inViewport (inViewportAction)="($event.visible == true) ? isSectionVisible = true : null">
	<div id="services-section-content" *ngIf="isSectionVisible == true" fxLayout="column" fxLayoutAlign="center center">

		<div id="services-texts" data-aos="fade-in" fxLayout="column" fxLayoutAlign="start center" fxLayoutGap="10px">
			<div class="typ-title">WE WANNA BE YOUR PLUS!</div>
			<div id="divider" data-aos="zoom-in" data-aos-delay="1000"></div>
			<div class="typ-body-2">Let's collaborate with some plusitivity.</div>
		</div>


		<div id="services-icons" *ngIf="serviceDetailsView == false" fxLayout="row wrap">
			<div class="service-icon-container" *ngFor="let service of services" (click)="generateGalleryImages(service); viewServiceDetails(service);" fxLayout="column" fxFlex="25" fxFlex.xs="50" data-aos="zoom-in">
				<div class="service-icon" fxLayoutAlign="center center"><span class="mdi {{ service.icon }}"></span></div>
				<div class="service-name typ-body-2">{{ service.name }}</div>
			</div>
		</div>


		<div id="service-details" *ngIf="serviceDetailsView == true" fxLayout="column" fxLayoutAlign="start center" data-aos="fade-in">
			<div id="main-details" fxLayout="row" fxLayout.xs="column" fxLayoutGap="50px" fxLayoutAlign="center center">
				<div class="icon-container" fxLayout="column" fxLayoutAlign="start center" fxLayoutGap="20px">
					<div class="service-icon" fxLayoutAlign="center center"><span class="mdi {{ selectedService.icon }}"></span></div>
					<div class="typ-title" fxHide.xs>{{ selectedService.name | uppercase }}</div>
				</div>

				<div fxLayout="column">
					<div class="typ-title">{{ selectedService.fullName }}</div>
					<div class="typ-body-1">{{ selectedService.description }}</div>
				</div>
			</div>
		</div>


		<div id="services-gallery" *ngIf="serviceDetailsView == true" fxLayout="column" data-aos="fade-in">
			<div class="typ-body-2">View Samples:</div>
			<ngx-gallery [options]="galleryOptions" [images]="galleryImages"></ngx-gallery>

			<br>
			<div fxLayoutAlign="center center">
				<adg-button (click)="backToServicesListView()"><span class="typ-subheading-1">Back</span></adg-button>
			</div>
		</div>
	</div>
</div>